## org.apache.lucene.analysis.sinks
Class TokenRangeSinkTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.Tokenizer
                  org.apache.lucene.analysis.SinkTokenizer
                      org.apache.lucene.analysis.sinks.TokenRangeSinkTokenizer

Deprecated. Use `TokenRangeSinkFilter` and `TeeSinkTokenFilter` instead.

    public class TokenRangeSinkTokenizer

extends org.apache.lucene.analysis.SinkTokenizer

Counts the tokens as they go by and saves to the internal list those between the range of lower and upper, exclusive of upper

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.SinkTokenizer
`iter, lst`

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`TokenRangeSinkTokenizer(int lower, int upper)` Deprecated.
`TokenRangeSinkTokenizer(int initCap, int lower, int upper)` Deprecated.

Method Summary
`void` `add(org.apache.lucene.analysis.Token t)` Deprecated.
`void` `reset()` Deprecated.

Methods inherited from class org.apache.lucene.analysis.SinkTokenizer
`close, getTokens, next`

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`correctOffset, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`end, getOnlyUseNewAPI, incrementToken, next, setOnlyUseNewAPI`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TokenRangeSinkTokenizer

    public TokenRangeSinkTokenizer(int lower,
                                   int upper)

  Deprecated.

### TokenRangeSinkTokenizer

    public TokenRangeSinkTokenizer(int initCap,
                                   int lower,
                                   int upper)

  Deprecated.

Method Detail

### add

    public void add(org.apache.lucene.analysis.Token t)

  Deprecated.
  Overrides:
    `add` in class `org.apache.lucene.analysis.SinkTokenizer`

### reset

    public void reset()
               throws java.io.IOException

  Deprecated.
  Overrides:
    `reset` in class `org.apache.lucene.analysis.SinkTokenizer`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.